{*:Admin:Obsah:Clanky:Edit:default*}
{block content}
{*============================== BREADCRUMB ==============================*}
<section class="border-bottom" id="breadcrumb">
    <nav class="p-3 bg-light">
        <ol class="breadcrumb mb-0">
            <li class="breadcrumb-item"><a n:href=":Admin:Dashboard:default"><i class="fas fa-home me-1"></i> Nástěnka</a></li>
            {if $strankaId}
                <li class="breadcrumb-item"><a n:href=":Admin:Obsah:Stranky:Seznam:default">Stránky</a></li>
                <li class="breadcrumb-item"><a n:href=":Admin:Obsah:Stranky:Edit:default $strankaId">{$clanek->ref('stranky','stranky_id')->nazev}</a></li>
            {else}
                <li class="breadcrumb-item"><a n:href=":Admin:Obsah:Clanky:Seznam:default">Články</a></li>
            {/if}
            <li class="breadcrumb-item active" n:block="title">{$clanek->nazev}</li>
        </ol>
    </nav>
</section>
{*============================== OBSAH ==============================*}
<section class="container-xxl mb-3">
    <section class="d-md-flex justify-content-between align-items-center border-bottom py-2">
        <h1><i class="fas fa-edit"></i> Editace článku - {$clanek->nazev}</h1>
        <div class="d-flex justify-content-between gap-3">
            {snippet status}
                {if $clanek->publikovany == false}
                    <a n:href="clanekPublic! $clanek->id" class="btn btn-outline-success ajax"><i class="fa-solid fa-arrow-up-right-from-square me-2"></i> Publikovat</a>
                {else}
                    {if $clanek->active == true}
                        <a n:href="clanekActive! $clanek->id" class="btn btn-outline-success ajax"><i class="fas fa-eye me-2"></i> Aktivní</a>
                    {else}
                        <a n:href="clanekActive! $clanek->id" class="btn btn-outline-danger ajax"><i class="fas fa-eye-slash me-2"></i> Deaktivovaný</a>
                    {/if}
                {/if}
            {/snippet}
            {control vymazClanek}
        </div>
    </section>
    <section class="d-md-flex justify-content-between align-items-center border-bottom bg-header text-white p-2">
        <div class="mb-2 mb-md-0">
            <b>Vytvořeno:</b> {$clanek->created_at|date:('d.m.Y')}
        </div>
        <div>
            <b>Poslední aktualizace:</b> {$clanek->last_update|date:('d.m.Y')}
        </div>
    </section>
    <form n:name="editClanekForm">
        <section class="d-flex justify-content-end bg-menu-header sticky-top p-2 mb-3">
            <button class="btn btn-success" n:name="send"><i class="fas fa-floppy-disk me-2"></i> Uložit</button>
        </section>
        <section class="bg-light mb-3">
            <h4 class="bg-secondary text-white p-2 mb-0">Základní informace</h4>
            <div class="row px-3">
                <div class="col-12 col-md-6 mb-3">
                    <label class="form-label">Název článku</label>
                    <div class="input-group">
                        <span class="input-group-text"><i class="fas fa-pen"></i></span>
                        <input n:name="nazev" class="form-control stranka-nazev" placeholder="Název článku">
                    </div>
                </div>
                <div class="col-12 col-md-6 mb-3">
                    <label class="form-label">URL adresa</label>
                    <div class="input-group">
                        <span class="input-group-text"><i class="fas fa-globe"></i></span>
                        <input n:name="url" class="form-control stranka-url" placeholder="URL adresa" readonly>
                    </div>
                </div>
            </div>
        </section>
        <section class="bg-light mb-3">
            <h4 class="bg-secondary text-white p-2 mb-0">Informace pro vyhledávače</h4>
            <div class="row px-3">
                <div class="col-12 col-md-6 mb-3">
                    <label class="form-label">SEO popis</label>
                    <textarea n:name="meta_desc" class="form-control meta-desc" rows="4"></textarea>
                    <div class="form-text"><b>Doporučená délka: <span id="metaDesc-lenght">0</span>/160</b></div>
                </div>
                <div class="col-12 col-md-6 mb-3">
                    <label class="form-label">SEO náhled</label>
                    <div class="seo-thumb shadow p-3 mb-3">
                        <div class="name"><span id="seo-name">{$clanek->nazev}</span> | {$baseInfo['siteName']}</div>
                        <div class="address">{$baseInfo['address']}<span id="seo-address"></span></div>
                        <div class="seo-content" id="seo-content"></div>
                    </div>
                </div>
            </div>
        </section>
        <section class="mb-3 d-flex gap-3">
            <a href="#" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#nahledObrazModal"><i class="fa-solid fa-file-image me-2"></i>Náhled. obraz.</a>
            <a href="#" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#fotogalerieModal"><i class="fa-solid fa-images me-2"></i>Fotogalerie</a>
        </section>
        <section id="nahled-clanek" class="bg-light mb-3">
            <h4 class="bg-secondary text-white p-2 mb-0">Náhled článku</h4>
            <div class="row justify-content-center">
                <div class="col-12 col-md-8">
                    <div id="nahled-clanek" class="p-3">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title mb-0">{$clanek->nazev}</h3>
                            </div>
                            <div class="card-body py-2">
                                <b style="font-size: .8rem">datum: {$clanek->created_at|date:('d.m.Y')}</b>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-12 col-md-4 clanek-img mb-3 mb-md-0">
                                        {if $clanek->base_img_type}
                                            {if $clanek->base_img_type == 'icon'}
                                                {$clanek->base_img_icon|noescape}
                                            {/if}
                                            {if $clanek->base_img_type == 'img'}
                                                <img src="{$basePath}/src/fotogallery/clanky/{$clanek->id}/thumbs/{$clanek->ref('clanky_fotky','base_img_id')->url}" class="img-fluid">
                                            {/if}
                                        {/if}
                                    </div>
                                    <div class="col-12 col-md-8">
                                        {$clanek->uvod|noescape|truncate:('350')}
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer">
                                <a href="#" class="text-primary">Více ...</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="bg-light mb-3">
            <h4 class="bg-secondary text-white p-2 mb-0">Úvodní text článku</h4>
            <textarea id="editTiny-1" name="uvod"></textarea>
            <input id="tiny-obsah-1" type="hidden" value="{$clanek->uvod}">
        </section>
        <section class="bg-light mb-3">
            <h4 class="bg-secondary text-white p-2 mb-0">Obsah článku</h4>
            <textarea id="editTiny-2" name="content"></textarea>
            <input id="tiny-obsah-2" type="hidden" value="{$clanek->content}">
        </section>
    </form>
    {*modal fotogalerie*}
    <div class="modal fade" id="fotogalerieModal" tabindex="-1" aria-labelledby="fotogalerieModal" aria-hidden="true">
        <div class="modal-dialog modal-fullscreen-xl-down modal-xl modal-dialog-scrollable">
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title mb-0"><i class="fa-solid fa-images me-2"></i>Fotogalerie</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body text-default">
                    {control fotogalerie}
                </div>
                <div class="modal-footer">
                    <a class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                </div>
            </div>
        </div>
    </div>
    {*modal náhledový obrázek*}
    {control nahledObraz}
</section>
{/block}
{block scripts}
<script>
    $(document).ready(function(){
        var content = $('.meta-desc').val();
        $('#metaDesc-lenght').text(content.length);

        if (content.length > 160){
            $('#metaDesc-lenght').addClass('text-danger');
        }else{
            $('#metaDesc-lenght').addClass('text-success');
        }

        loadTinyObsah(1);
        loadTinyObsah(2);
        loadSeoContent();

        $('.meta-desc').on("input", function() {
            loadSeoContent();
            if (this.value.length > 160){
                $('#metaDesc-lenght').removeClass('text-success');
                $('#metaDesc-lenght').addClass('text-danger');
                $('#metaDesc-lenght').text(this.value.length);
            }else{
                $('#metaDesc-lenght').removeClass('text-danger');
                $('#metaDesc-lenght').addClass('text-success');
                $('#metaDesc-lenght').text(this.value.length);
            }
        });

        $('.stranka-nazev').on("input", function() {
            loadSeoContent();
        });
    });

    function loadSeoContent(){
        var name = $('.stranka-nazev').val();
        var content = $('.meta-desc').val();
        var url = $('.stranka-url').val();

        $('#seo-content').empty();
        $('#seo-content').append(content);

        $('#seo-name').empty();
        $('#seo-address').empty();

        $('#seo-name').append(name);
        $('#seo-address').append(url);
    }
</script>
{/block}